Skip to main content
PUT
/
api
/
v1
/
webhooks
/
{id}
Update Webhook
curl --request PUT \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html",
  "payload": null,
  "check_https": true,
  "logging_enabled": true,
  "retries": 5,
  "timeout": 8
}
'
{
  "data": {
    "id": "01kqh44brhaynh3j7ahkt1gmq4",
    "url": "Example text.",
    "payload": {
      "data": {
        "id": "c68e0767-6220-31fb-a489-61093ff79529",
        "name": "Example Name"
      },
      "event": "user.created",
      "timestamp": "2020-05-23T06:21:42+0000"
    },
    "check_https": true,
    "logging_enabled": true,
    "retries": 10,
    "timeout": 607,
    "workspace_id": "01kqh44brap20285ng05cn1ktc",
    "created_at": "2026-05-01T06:38:01+00:00",
    "updated_at": "2026-05-01T06:38:01+00:00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string
required

The ID of the webhook.

Body

application/json
url
string
required

Must be a valid URL.

Example:

"http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"

payload
object
Example:

null

check_https
boolean
Example:

true

logging_enabled
boolean
Example:

true

retries
integer

Must be at least 0. Must not be greater than 10.

Example:

5

timeout
integer

Must be at least 1. Must not be greater than 1800.

Example:

8

Response

200 - application/json
data
object